import Model from '@tripian/model';
declare const easy: {
    /**
     * Replace stringQuery, param.key with param.value.
     * @param {string} stringQuery
     * @param {object} param { key, value }
     * @returns {string} stringQuery.replace(`{${param.key}}`, param.value)
     */
    setParameter: (stringQuery: string, param: {
        key: string;
        value: string;
    }) => string;
    /**
     * Replace stringQuery, '{id}' with id
     * @param {string} stringQuery
     * @param {number} id
     * @returns {string} stringQuery.replace('{id}', id);
     */
    setParameterId: (stringQuery: string, id: number, key: string) => string;
    /**
     * Replace stringQuery, all param.key with all param.value foreach params parameter
     * @param {string} stringQuery
     * @param {object} params [{ key, value }, { key, value } ...]
     * @returns {string} stringQuery.replace(`{${param.key}}`, param.value)
     */
    setParameters: (stringQuery: string, params: {
        key: string;
        value: string;
    }[]) => string;
    parseAccessToken: (idToken: string) => Model.TokenPayload | undefined;
    parseToken: (token: Model.Token) => Model.TokenPayload | undefined;
    accessTokenExpSecond: (tokenPayload: Model.TokenPayload) => number;
    refreshTokenExpSecond: (tokenPayload: Model.TokenPayload) => number;
};
export default easy;
