import Model, { Providers } from '@tripian/model';
export declare type GygTourDataFormPersonsCategory = {
    addon: boolean;
    id: number;
    max_age?: number;
    min_age: number;
    name: string;
    stand_alone: boolean;
};
export declare type GygTourDataOptionAvailability = {
    availability_id: number;
} & Providers.Gyg.TourAvailability & Providers.Gyg.TourOptionPricing;
export declare type GygTourDataOption = Providers.Gyg.TourOption & {
    availabilities: GygTourDataOptionAvailability[];
};
export declare type GygTourData = {
    tour: Providers.Gyg.Tour;
    availableDates: string[];
    formPersonsCategories: GygTourDataFormPersonsCategory[];
    options: GygTourDataOption[];
};
declare class API {
    private axios;
    private proxyURL;
    private apiUrl;
    private sandbox;
    constructor(apiUrl: string, apiToken: string, sandbox: boolean, proxyURL: string);
    categories: (limit?: number, language?: string, currency?: string) => Promise<Providers.Gyg.Category[]>;
    category: (categoryId: number, language?: string, currency?: string) => Promise<Providers.Gyg.Category>;
    private defaultTours;
    private ticketTours;
    toursAll: (cityName: string, cityCoordinate?: Model.Coordinate, radius?: number, date?: Providers.Gyg.TourDateRange, categoryIds?: number[], unique?: boolean, limit?: number, preformatted?: string, language?: string, currency?: string) => Promise<Providers.Gyg.CatalogGroup[]>;
    tours: (cityName: string, cityCoordinate?: Model.Coordinate, radius?: number, date?: Providers.Gyg.TourDateRange, categoryIds?: number[], unique?: boolean, limit?: number, preformatted?: string, language?: string, currency?: string) => Promise<Providers.Gyg.CatalogGroup[]>;
    tour: (tourId: number, language?: string, currency?: string, preformatted?: string) => Promise<Providers.Gyg.Tour>;
    private tourOptions_1;
    private optionAvailabilities_2;
    private optionPricings_3;
    tourData: (tourId: number, startDate: string, endDate: string, language?: string, currency?: string) => Promise<GygTourData>;
    /**
     *
     *  REMOVE
     *
     */
    tourAvailabilities: (tourId: number, startDate: string, endDate?: string, language?: string, currency?: string) => Promise<Providers.Gyg.TourAvailability[]>;
    options: (tourId: number, language?: string, currency?: string) => Promise<Providers.Gyg.TourOption[]>;
    optionAvailabilities: (optionId: number, startDate: string, endDate?: string, language?: string, currency?: string) => Promise<Providers.Gyg.TourAvailability[]>;
    optionPricings: (optionId: number, language?: string, currency?: string) => Promise<Providers.Gyg.TourOptionPricing>;
    bookingAdd: (tourBookingRequest: Providers.Gyg.TourBookingRequest) => Promise<Providers.Gyg.TourBooking>;
    booking: (bookingHash: string, language?: string, currency?: string) => Promise<Providers.Gyg.TourBookingInfo[]>;
    bookingDelete: (bookingHash: string, language?: string, currency?: string) => Promise<Providers.Gyg.TourBooking[]>;
    cartAdd: (tourBookingCartRequest: Providers.Gyg.TourBookingCartRequest) => Promise<Providers.Gyg.TourBookingCart>;
    cart: (shoppingCartHash: string, language?: string, currency?: string) => Promise<Providers.Gyg.TourBookingCart>;
    paymentConfiguration: (language?: string, currency?: string, country?: string) => Promise<Providers.Gyg.PaymentConfiguration[]>;
}
export default API;
